Bug 3268 - login logs users out!
login logs users out!
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: util-linux (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-06-04 11:58 EDT by Steve Wills
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-16 11:50:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Wills 1999-06-04 11:58:28 EDT
running "login username" from a shell logs a user out.
Comment 1 David Lawrence 1999-06-04 16:46:59 EDT
I have verified this to be true on a test machine with a stock 6.0
install. Also it disconnects if you enter login by itself with no
arguments. Proper behavior you would get a prompt asking for username.
Comment 2 Alan Cox 1999-06-12 18:24:59 EDT
The login program from a shell is only intended to be run as
"exec login username". Even then the fact login does anything is more
V7 tradition than anything intended.
Comment 3 Cristian Gafton 1999-06-16 11:50:59 EDT
that's what login should do. i am suprized it works too.

Note You need to log in before you can comment on or make changes to this bug.